Bug 329187 - Assert when using Splat_Mix_Cell preset
Summary: Assert when using Splat_Mix_Cell preset
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-24 10:04 UTC by Dmitry Kazakov
Modified: 2013-12-28 14:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-12-24 10:04:39 UTC
ASSERT: "m_dstDabRect.size() == m_maskDab->bounds().size()" in file /home/devel/kde-src/calligra/krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.cpp, line 113
Comment 1 Dmitry Kazakov 2013-12-24 10:10:51 UTC
This is a regression after 48f8f2ce30a73d545a368b88

Please revert it locally if you want to work smoothly
Comment 2 Dmitry Kazakov 2013-12-24 10:30:48 UTC
Git commit 13671c094b38a2d9c228b83bb60c2beca9ff0fa1 by Dmitry Kazakov.
Committed on 24/12/2013 at 10:30.
Pushed by dkazakov into branch 'master'.

Fixed a dab size bug introduced by the smooth brush rotation fix

The fast-path code should crop the image by the actuall
expected rect.

M  +1    -1    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.cpp
M  +1    -1    krita/plugins/paintops/hatching/kis_hatching_paintop.cpp
M  +4    -1    krita/plugins/paintops/libbrush/kis_qimage_pyramid.cpp

http://commits.kde.org/calligra/13671c094b38a2d9c228b83bb60c2beca9ff0fa1
Comment 3 Dmitry Kazakov 2013-12-28 14:57:30 UTC
Git commit 601c388a2a71ae09d9da96a3a09db93d5579fb88 by Dmitry Kazakov.
Committed on 24/12/2013 at 10:30.
Pushed by dkazakov into branch 'calligra/2.8'.

Fixed a dab size bug introduced by the smooth brush rotation fix

The fast-path code should crop the image by the actuall
expected rect.

M  +1    -1    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.cpp
M  +1    -1    krita/plugins/paintops/hatching/kis_hatching_paintop.cpp
M  +4    -1    krita/plugins/paintops/libbrush/kis_qimage_pyramid.cpp

http://commits.kde.org/calligra/601c388a2a71ae09d9da96a3a09db93d5579fb88